#include <QApplication>
#include <QMainWindow>
#include <QPushButton>
#include <QWidget>
#include <QDebug>

class MainWindow : public QMainWindow {
    Q_OBJECT

public:
    MainWindow(QWidget *parent = 0) : QMainWindow(parent) {
        QPushButton *button = new QPushButton("Click Me (Ctrl+O)");
        button->setShortcut(QString("Ctrl+O"));
        connect(button, SIGNAL(clicked()), this, SLOT(onClicked()));

        setCentralWidget(button);
    }

public slots:
    void onClicked() {
        qDebug() << "clicked";
    }
};

int main(int argc, char *argv[]) {
    QApplication app(argc, argv);

    MainWindow window;
    window.show();

    return app.exec();
}

#include "moc_test.cpp"
